Subject: Re: [PATCH v3] builtin/refs: add '--skip-reflog' flag to bypass reflog migration

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Feb 2025 09:04:19 -0800

Toon Claes <[email-masked]> writes:

> So can I suggest to name the option `--no-reflog`? To me that makes it
> more obvious the reflog won't exist no more after migrating, and is more
> in line with the common UX of Git. Also emphasizing this more clearly in
> the commit message and help message also would be advised.

I have always thought, until I saw the message I am responding to,
that everybody would expect that "migrate --skip=X --skip=Y" that
usually migrates X and Y and Z would lose X and Y with the
transition.  But I realized that it was most likely because I happen
to know that the choice between reftable and files backends is
"which one do you take, you cannot have both at the same time", and
it was clear that "skip and keep using the old form" is not on the
table.  For all others, your interpretation of the option name is
entirely plausible.  So I agree `--no-reflog` is really an excellent
suggestion, even though `--reflog` option would be a no-op, and
`--no-refs` would be a "Huh?" option that only logically makes sense
to have for completeness but nobody would want to use ;-)